# Add remote buildx builder:
# docker buildx create --use --name sidecar tcp://127.0.0.1:1234

# Run build:
# docker buildx build .

apiVersion: v1
kind: Service
metadata:
  name: ubuntu-runner
  labels:
    run: ubuntu-runner
spec:
  type: LoadBalancer
  ports:
    - name: tcp80
      protocol: TCP
      port: 80
      targetPort: 80
  selector:
    run: ubuntu-runner
---
apiVersion: apps/v1
kind: Deployment
metadata:
  creationTimestamp: null
  labels:
    app: ubuntu-runner
  name: ubuntu-runner
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ubuntu-runner
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: ubuntu-runner
      annotations:
        container.apparmor.security.beta.kubernetes.io/buildkitd: unconfined
    spec:
      containers:
        - name: ubuntu
          image: edp.buildth.ing/devfw-cicd/catthehacker/ubuntu:act-22.04-amd64
          command:
            - sleep
            - 7d
        - args:
            - --allow-insecure-entitlement=network.host
            - --oci-worker-no-process-sandbox
            - --addr
            - tcp://127.0.0.1:1234
          image: moby/buildkit:v0.25.1-rootless
          imagePullPolicy: IfNotPresent
          name: buildkitd
